;+
;
; @file_comments
; Allows to put in a structure attributes which can be associated with
; a variable.
;
; @categories
; Utilities
;
; @returns
; A structure of the form:
;         {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask,l:niveau}
;
; @uses
; <pro>common</pro>
;
; @history
; Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                       15/6/1999
;
; @version
; $Id$
;
;-
FUNCTION saveatt
;
  compile_opt idl2, strictarrsubs
;
@common
   return, {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask}
end
